package cn.com.tenlion.systembase.pojo.bos.importantevent;

/**
 *
 * @ClassName: ImportantEventBO
 * @Description: 重大事件
 * @Author: CodeFactory
 * @Date: 2021-10-11 17:21:48
 * @Version: 3.0
 **/
public class ImportantEventBO {

    private String importantEventId;
    private String eventName;
    private String eventDate;
    private String eventSite;
    private String eventLevelId;
    private String eventLevelText;
    private String eventTypeId;
    private String eventTypeText;
    private String eventExplain;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getImportantEventId() {
        return importantEventId == null ? "" : importantEventId.trim();
    }

    public void setImportantEventId(String importantEventId) {
        this.importantEventId = importantEventId;
    }

    public String getEventName() {
        return eventName == null ? "" : eventName.trim();
    }

    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    public String getEventDate() {
        return eventDate == null ? "" : eventDate.trim();
    }

    public void setEventDate(String eventDate) {
        this.eventDate = eventDate;
    }

    public String getEventSite() {
        return eventSite == null ? "" : eventSite.trim();
    }

    public void setEventSite(String eventSite) {
        this.eventSite = eventSite;
    }

    public String getEventLevelId() {
        return eventLevelId == null ? "" : eventLevelId.trim();
    }

    public void setEventLevelId(String eventLevelId) {
        this.eventLevelId = eventLevelId;
    }

    public String getEventLevelText() {
        return eventLevelText == null ? "" : eventLevelText.trim();
    }

    public void setEventLevelText(String eventLevelText) {
        this.eventLevelText = eventLevelText;
    }

    public String getEventTypeId() {
        return eventTypeId == null ? "" : eventTypeId.trim();
    }

    public void setEventTypeId(String eventTypeId) {
        this.eventTypeId = eventTypeId;
    }

    public String getEventTypeText() {
        return eventTypeText == null ? "" : eventTypeText.trim();
    }

    public void setEventTypeText(String eventTypeText) {
        this.eventTypeText = eventTypeText;
    }

    public String getEventExplain() {
        return eventExplain == null ? "" : eventExplain.trim();
    }

    public void setEventExplain(String eventExplain) {
        this.eventExplain = eventExplain;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
